Skip to content
GET /unified/hris/timeoff_types

Query Parameters

Refer Specifying query parameters in Truto APIs

companyobject

The company to use, referencing companies.id. Optional: when omitted the account's company is looked up automatically. The request fails if the account can see more than one company and none is given.

1 supported
7shifts
supported
idstring
required
company_idstring

Flat alternative to company.id.

1 supported
7shifts
supported
employment_typestring

List the types available to full-time employees (default) or to contractors.

Possible values:
contractorfull_time
1 supported
Remote
supported
employeeobject

The employee (employees.id, a Workday worker WID, or a reference such as Employee_ID=21001). Required: Workday only exposes this data per worker.

1 supported1 required
Workday
required
idstring
required
employee_idstring

Flat alternative to employee.id.

1 supported
Workday
supported
effective_datestring

Return the types the employee is eligible for on this date (YYYY-MM-DD). Defaults to today.

1 supported
Workday
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). When the upstream body exceeds 1 MiB, data is replaced by { truto_truncated: true, truto_max_bytes, truto_excerpt }. debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. data is the parsed upstream body; when its JSON form exceeds 1 MiB it is replaced by { truto_truncated: true, truto_max_bytes, truto_excerpt }, where truto_excerpt is the leading bytes of that body. The same applies to a string requestOptions.body. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Timeoff types

idstring
required·

The unique identifier for TimeoffType

12 supported
7shifts
supported
AlexisHR
supported
Deel
supported
Factorial
supported
Humaans
supported
Keka
supported
PeopleForce
supported
Personio
supported
Remote
supported
Square
supported
Workable
supported
Workday
supported
created_atstring · date-time

This represents the date when the timeofftype was created

3 supported
AlexisHR
supported
Humaans
supported
PeopleForce
supported
descriptionstring

This represents the description of the time off type

5 supported
Deel
supported
Factorial
supported
Keka
supported
Remote
supported
Workable
supported
namestring

This represents the name of the time off type

12 supported
7shifts
supported
AlexisHR
supported
Deel
supported
Factorial
supported
Humaans
supported
Keka
supported
PeopleForce
supported
Personio
supported
Remote
supported
Square
supported
Workable
supported
Workday
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

unitstring

This represents the unit of the time off type

Possible values:
hoursdaysweeksmonths
7 supported
7shifts
supported
AlexisHR
supported
Deel
supported
Humaans
supported
PeopleForce
supported
Personio
supported
Workday
supported
updated_atstring · date-time

This represents the date when the timeofftype was updated

2 supported
AlexisHR
supported
Humaans
supported
truto unified hris timeofftypes \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'hris',
  'timeofftypes',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "hris",
        "timeofftypes",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/hris/timeoff_types?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/timeoff_types?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/timeoff_types"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())